;###############################################################################
/* Gui Context Menu for LilBuilder

*/
;###############################################################################

Gui_CreateMenu(Menu_Gui){
  MMenu_Add(Menu_Gui, "As Toolwindow","","","iGui_SetAsToolWindow")
  MMenu_Add(Menu_Gui, "Change Title","","","iGui_ChangeWindowTitle")
  MMenu_Add(Menu_Gui, "Custom Grid Size","","","iGui_CustomGridSize")
}

Gui_ShowMenu:
  Gui_UpdateSetAsToolWindowMenu(Menu_Gui, Menu_vGuiHWND())
  MMenu_Show(Menu_Gui, Menu_vX(), Menu_vY(), "Gui_OnSelection")
Return

Gui_OnSelection:
  If MMenu_ID = Gui_SetAsToolWindow
    Gui_SetAsToolWindow(Menu_vGuiHWND())
  If MMenu_ID = Gui_ChangeWindowTitle
    Gui_ChangeWindowTitle(Menu_vGuiHWND())
  If MMenu_ID = Gui_CustomGridSize
    Gui_CustomGridSize(GRID())
Return

Gui_UpdateSetAsToolWindowMenu(Menu_Gui, GuiHWND){
  CheckStatus := Gui(GuiHWND,"Toolwindow") ? "+c" : "-c"
  MMenu_Set(Menu_Gui,"Gui_SetAsToolWindow","","",CheckStatus )  
}
Gui_SetAsToolWindow(GuiHWND){
  Status := Gui(GuiHWND,"Toolwindow")
  Gui(GuiHWND,"Toolwindow", !Status)

  GuiID := Gui(GuiHWND,"GuiID")
  Status := Status ? "-" : "+"
  Gui, %GuiID%:%Status%Toolwindow
}

Gui_ChangeWindowTitle(GuiHWND){
  Content := Gui(GuiHWND,"Content")

  InputBox, NewName, Change Window Title, Specify an new Title, , , , Menu_vX(), Menu_vY(), , , %Content%
  If (NewName AND NewName <> Content){
    GuiID := Gui(GuiHWND,"GuiID")
    Gui, %GuiID%:Show,,%NewName%
    Gui(GuiHWND,"Content", NewName)
  }
}

Gui_CustomGridSize(OldGRID){
  InputBox, NewGRID, Custome Grid Size, Specify an new grid size, , , , Menu_vX(), Menu_vY(), , , %OldGRID%
  If NewGRID is not integer
    Return
  If (NewGRID AND NewGRID <> OldGRID){
    Grid(NewGRID)
    Grid_Draw()
  }
}
